local Rx = require 'Rx'

local observableMergeWithScheduler = Rx.Observable.mergeWithScheduler
local immediateScheduler = Rx.Scheduler.immediate

--------------------------------------------------------------------------------

return function(...)
    return observableMergeWithScheduler(immediateScheduler(), ...)
end
